Replaces the tenant properties for the specified tenant.

Entitlement required: manageTenantProperties (Manage tenant properties)

The HTTP PUT is used to replace the tenant properties. For example, clients that have previously retrieved the entire list of properties and revised it, can replace the properties by using an HTTP PUT.

The following example shows a JSON body for the tenant property accessControlAllowOrigin:
{ "accessControlAllowOrigin": [ { "regex": false, "origin": "

The following example shows a JSON body for the tenant property targetUrlAllowedHostV2:
{ "targetUrlAllowedHostV2": [ { "regex": true, "targetUrl": "^https" }, { "regex": false, "targetUrl": "

The target URL path for the tenant domain is allowed by default, for example, https://tenantname.com

The following example shows a JSON body for the tenant property securityHeaderContentSecurityPolicy:
{ "securityHeaderContentSecurityPolicy": "default-src 'self' example.com *.example.com"}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests

LoadingLoading

Body Params

The tenant properties object that contains the tenant properties that are to be modified.

accessControlAllowOrigin
array of objects

A list of allowed domains or regular expressions for allowed domains.

accessControlAllowOrigin
targetUrlAllowedHostV2
array of objects

A list of target URLs or regular expressions for allowed hosts.

targetUrlAllowedHostV2
string

A string for the Content Security Policy (CSP) header.

notificationEmail
object
notificationSMS
object
notificationThreshold
object
Responses

Language
URL
LoadingLoading

Response
Choose an example:
application/json